Debian Bug report logs - #589987
bogl: FTBFS on non-linux ports

version graph

Package: bogl; Maintainer for bogl is Samuel Thibault <sthibault@debian.org>;

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Thu, 22 Jul 2010 18:27:02 UTC

Severity: important

Tags: d-i, patch

Found in version 0.1.18-4

Fixed in version bogl/0.1.18-5

Done: Samuel Thibault <sthibault@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#589987; Package bogl. (Thu, 22 Jul 2010 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 22 Jul 2010 18:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bogl: FTBFS on non-linux ports
Date: Thu, 22 Jul 2010 20:24:37 +0200
[Message part 1 (text/plain, inline)]
Package: bogl
Version: 0.1.18-4
Severity: important
Tags: d-i patch

Hello,

bogl FTBFS on non-linux. This would look normal at first, but d-i uses
reduce-font from libbogl-dev to save room on d-i images. This patch
makes bogl at least build libbogl-dev shipping mergebdf and reduce-font
on non-linux ports.

Samuel

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.34 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
Samuel Thibault <samuel.thibault@fnac.net>
	/* Amuse the user. */
	printk(
"              \\|/ ____ \\|/\n"
"              \"@'/ ,. \\`@\"\n"
"              /_| \\__/ |_\\\n"
"                 \\__U_/\n");
(From linux/arch/sparc/kernel/traps.c:die_if_kernel())
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#589987; Package bogl. (Thu, 22 Jul 2010 21:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 22 Jul 2010 21:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 589987@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: 589987@bugs.debian.org, control@bugs.debian.org
Cc: sthibault@debian.org
Subject: Re: bogl: FTBFS on non-linux ports
Date: Thu, 22 Jul 2010 23:19:28 +0200
[Message part 1 (text/plain, inline)]
usertags 589987 gsoc2010
thanks

On Thu, Jul 22, 2010 at 08:24:37PM +0200, Samuel Thibault wrote:
> bogl FTBFS on non-linux. This would look normal at first, but d-i uses
> reduce-font from libbogl-dev to save room on d-i images. This patch
> makes bogl at least build libbogl-dev shipping mergebdf and reduce-font
> on non-linux ports.

Hi,

I'd like to confirm that Samuel's patch works great, with the exception
of libbogl-dev depending on libbogl0, which is unavailable on non-Linux
(updated patch attached).

Thanks,
-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org
[bogl-non-linux.patch (text/x-diff, attachment)]

Reply sent to Samuel Thibault <sthibault@debian.org>:
You have taken responsibility. (Sun, 20 Mar 2011 22:00:16 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Sun, 20 Mar 2011 22:00:16 GMT) Full text and rfc822 format available.

Message #15 received at 589987-close@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 589987-close@bugs.debian.org
Subject: Bug#589987: fixed in bogl 0.1.18-5
Date: Sun, 20 Mar 2011 21:58:41 +0000
Source: bogl
Source-Version: 0.1.18-5

We believe that the bug you reported is fixed in the latest version of
bogl, which is due to be installed in the Debian FTP archive:

bogl-bterm-udeb_0.1.18-5_amd64.udeb
  to main/b/bogl/bogl-bterm-udeb_0.1.18-5_amd64.udeb
bogl-bterm_0.1.18-5_amd64.deb
  to main/b/bogl/bogl-bterm_0.1.18-5_amd64.deb
bogl_0.1.18-5.diff.gz
  to main/b/bogl/bogl_0.1.18-5.diff.gz
bogl_0.1.18-5.dsc
  to main/b/bogl/bogl_0.1.18-5.dsc
bogl_0.1.18.orig.tar.gz
  to main/b/bogl/bogl_0.1.18.orig.tar.gz
libbogl-dev_0.1.18-5_amd64.deb
  to main/b/bogl/libbogl-dev_0.1.18-5_amd64.deb
libbogl0_0.1.18-5_amd64.deb
  to main/b/bogl/libbogl0_0.1.18-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589987@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Samuel Thibault <sthibault@debian.org> (supplier of updated bogl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 20 Mar 2011 19:03:58 +0100
Source: bogl
Binary: libbogl-dev libbogl0 bogl-bterm bogl-bterm-udeb
Architecture: source amd64
Version: 0.1.18-5
Distribution: unstable
Urgency: low
Maintainer: Samuel Thibault <sthibault@debian.org>
Changed-By: Samuel Thibault <sthibault@debian.org>
Description: 
 bogl-bterm - Ben's Own Graphics Library - graphical terminal
 bogl-bterm-udeb - Ben's Own Graphics Library - graphical terminal (udeb)
 libbogl-dev - Ben's Own Graphics Library - development files
 libbogl0   - Ben's Own Graphics Library - shared library
Closes: 385919 589987
Changes: 
 bogl (0.1.18-5) unstable; urgency=low
 .
   * New maintainer (Closes: #385919).
   * Fix compilation warnings.
   * Drop -lpng and -lm, they are actually not needed.
   * Add manpages for mergebdf, pngtobogl, reduce-font.
   * Remove debian/libbogl0.postinst.
   * Bump Standards-Version to 3.9.1 (no change needed).
   * Fix non-Linux build (Closes: #589987).
Checksums-Sha1: 
 6cd1c25f6225e19b8b3525ef26a71456bdeac69e 1049 bogl_0.1.18-5.dsc
 f7c4ba5313916b4f9d51b50186eafef0831ba3d9 89479 bogl_0.1.18.orig.tar.gz
 cf27ee272948c17ed4fa0292bae19dc5220e2338 14464 bogl_0.1.18-5.diff.gz
 dd5e60d5d1a249cdc7a5352b36721cc10e282ce8 92806 libbogl-dev_0.1.18-5_amd64.deb
 f2b69a2792734477832cb866f47aea1d2870c41d 53494 libbogl0_0.1.18-5_amd64.deb
 60b4b56521483a35c295b3fbb19ceca542e136fa 31146 bogl-bterm_0.1.18-5_amd64.deb
 221c1c31c7ed7746446998772c10ab54eec71776 25130 bogl-bterm-udeb_0.1.18-5_amd64.udeb
Checksums-Sha256: 
 95b8a3c7f89a49806b3789f782876c7d49c5dd6458cd70c2eb85ccea15cc1aad 1049 bogl_0.1.18-5.dsc
 ab1bc07633f0b24c431625fffcabc20b706fb40a858cd6eef3743a112009a10d 89479 bogl_0.1.18.orig.tar.gz
 d51fc2c740cb00465bc113f2a806ebf2701c765ee5c58acf6328451922cabc98 14464 bogl_0.1.18-5.diff.gz
 2c81f2348494635d891944ca4a82fb33e068b14e6d9e79d881529813f0384656 92806 libbogl-dev_0.1.18-5_amd64.deb
 01443a5ae22b42d6f996464d02ddaaa6a6639f9d2251d332879fd0af21774abf 53494 libbogl0_0.1.18-5_amd64.deb
 e2e77de471e5143aa06e2e1816a8d5d72ab8288fb6c7222667b9d13b1a51107f 31146 bogl-bterm_0.1.18-5_amd64.deb
 ba5763fc0655533823f679ee18b00ccacffdacf92ba4640f607f102136eecd77 25130 bogl-bterm-udeb_0.1.18-5_amd64.udeb
Files: 
 87a1e5f6bd3e4c9457171f7c948187a1 1049 devel optional bogl_0.1.18-5.dsc
 78c7998972bdd7e1f7dba53ca3c92e4b 89479 devel optional bogl_0.1.18.orig.tar.gz
 96b9b6564c4628aef33355b1b63804f0 14464 devel optional bogl_0.1.18-5.diff.gz
 7b7597d71737074032fabe9633883328 92806 libdevel optional libbogl-dev_0.1.18-5_amd64.deb
 a6438131dd95c53add1c70daad9e32fd 53494 libs optional libbogl0_0.1.18-5_amd64.deb
 3ad84f76de4d8c95b57fb564e7056410 31146 utils optional bogl-bterm_0.1.18-5_amd64.deb
 23ce1eae237409e450f1d415f1de2bd5 25130 debian-installer extra bogl-bterm-udeb_0.1.18-5_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iF4EAREIAAYFAk2GWMYACgkQg7iRWpzNNcOXYAD/ZhH3CjbcBlIEl6fUI1zOESU0
CVPMvnhxRSvn5MziN+QA/i3rnPVRYkg8fTfEXNgiIPrBWgqbfu4bSwCRxe1w0egN
=plbs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jul 2011 07:35:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:02:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.